Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIAutocomplete

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.AbstractAutocomplete
                          org.richfaces.component.UIAutocomplete

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIAutocomplete

extends AbstractAutocomplete
implements javax.faces.component.behavior.ClientBehaviorHolder

Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `UIAutocomplete.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractAutocomplete
`ITEMS_META_COMPONENT_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`UIAutocomplete()`

Method Summary
`java.lang.Object` | `getAutocompleteList()`
`javax.el.MethodExpression` | `getAutocompleteMethod()`
`java.lang.String` | `getClientFilterFunction()`
`java.lang.String` | `getDefaultEventName()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.String` | `getFamily()`
`java.lang.Object` | `getFetchValue()`
`java.lang.String` | `getFilterFunction()`
`java.lang.String` | `getInputClass()`
`java.lang.String` | `getLayout()`
`int` | `getMinChars()`
`org.richfaces.component.AutocompleteMode` | `getMode()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnbegin()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnerror()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnlistclick()`
`java.lang.String` | `getOnlistdblclick()`
`java.lang.String` | `getOnlistkeydown()`
`java.lang.String` | `getOnlistkeypress()`
`java.lang.String` | `getOnlistkeyup()`
`java.lang.String` | `getOnlistmousedown()`
`java.lang.String` | `getOnlistmousemove()`
`java.lang.String` | `getOnlistmouseout()`
`java.lang.String` | `getOnlistmouseover()`
`java.lang.String` | `getOnlistmouseup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselectitem()`
`java.lang.String` | `getPopupClass()`
`java.lang.String` | `getSelectedItemClass()`
`java.lang.String` | `getTokens()`
`java.lang.String` | `getVar()`
`boolean` | `isAutofill()`
`boolean` | `isDisabled()`
`boolean` | `isSelectFirst()`
`boolean` | `isShowButton()`
`void` | `setAutocompleteList(java.lang.Object autocompleteList)`
`void` | `setAutocompleteMethod(javax.el.MethodExpression autocompleteMethod)`
`void` | `setAutofill(boolean autofill)`
`void` | `setClientFilterFunction(java.lang.String clientFilterFunction)`
`void` | `setDisabled(boolean disabled)`
`void` | `setFetchValue(java.lang.Object fetchValue)`
`void` | `setFilterFunction(java.lang.String filterFunction)`
`void` | `setInputClass(java.lang.String inputClass)`
`void` | `setLayout(java.lang.String layout)`
`void` | `setMinChars(int minChars)`
`void` | `setMode(org.richfaces.component.AutocompleteMode mode)`
`void` | `setOnbeforedomupdate(java.lang.String onbeforedomupdate)`
`void` | `setOnbegin(java.lang.String onbegin)`
`void` | `setOnblur(java.lang.String onblur)`
`void` | `setOnchange(java.lang.String onchange)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOncomplete(java.lang.String oncomplete)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnerror(java.lang.String onerror)`
`void` | `setOnfocus(java.lang.String onfocus)`
`void` | `setOnkeydown(java.lang.String onkeydown)`
`void` | `setOnkeypress(java.lang.String onkeypress)`
`void` | `setOnkeyup(java.lang.String onkeyup)`
`void` | `setOnlistclick(java.lang.String onlistclick)`
`void` | `setOnlistdblclick(java.lang.String onlistdblclick)`
`void` | `setOnlistkeydown(java.lang.String onlistkeydown)`
`void` | `setOnlistkeypress(java.lang.String onlistkeypress)`
`void` | `setOnlistkeyup(java.lang.String onlistkeyup)`
`void` | `setOnlistmousedown(java.lang.String onlistmousedown)`
`void` | `setOnlistmousemove(java.lang.String onlistmousemove)`
`void` | `setOnlistmouseout(java.lang.String onlistmouseout)`
`void` | `setOnlistmouseover(java.lang.String onlistmouseover)`
`void` | `setOnlistmouseup(java.lang.String onlistmouseup)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setOnselectitem(java.lang.String onselectitem)`
`void` | `setPopupClass(java.lang.String popupClass)`
`void` | `setSelectedItemClass(java.lang.String selectedItemClass)`
`void` | `setSelectFirst(boolean selectFirst)`
`void` | `setShowButton(boolean showButton)`
`void` | `setTokens(java.lang.String tokens)`
`void` | `setVar(java.lang.String var)`

Methods inherited from class org.richfaces.component.AbstractAutocomplete
`encodeMetaComponent, resolveClientId, substituteUnresolvedClientId, visitTree`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIAutocomplete

    public UIAutocomplete()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getAutocompleteList

    public java.lang.Object getAutocompleteList()

  Specified by:
    `getAutocompleteList` in class `AbstractAutocomplete`

### setAutocompleteList

    public void setAutocompleteList(java.lang.Object autocompleteList)

### getAutocompleteMethod

    public javax.el.MethodExpression getAutocompleteMethod()

  Specified by:
    `getAutocompleteMethod` in class `AbstractAutocomplete`

### setAutocompleteMethod

    public void setAutocompleteMethod(javax.el.MethodExpression autocompleteMethod)

  Specified by:
    `setAutocompleteMethod` in class `AbstractAutocomplete`

### isAutofill

    public boolean isAutofill()

  Specified by:
    `isAutofill` in class `AbstractAutocomplete`

### setAutofill

    public void setAutofill(boolean autofill)

### getClientFilterFunction

    public java.lang.String getClientFilterFunction()

  Specified by:
    `getClientFilterFunction` in class `AbstractAutocomplete`

### setClientFilterFunction

    public void setClientFilterFunction(java.lang.String clientFilterFunction)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in class `AbstractAutocomplete`

### setDisabled

    public void setDisabled(boolean disabled)

### getFetchValue

    public java.lang.Object getFetchValue()

  Specified by:
    `getFetchValue` in class `AbstractAutocomplete`

### setFetchValue

    public void setFetchValue(java.lang.Object fetchValue)

### getFilterFunction

    public java.lang.String getFilterFunction()

  Specified by:
    `getFilterFunction` in class `AbstractAutocomplete`

### setFilterFunction

    public void setFilterFunction(java.lang.String filterFunction)

### getInputClass

    public java.lang.String getInputClass()

  Specified by:
    `getInputClass` in class `AbstractAutocomplete`

### setInputClass

    public void setInputClass(java.lang.String inputClass)

### getLayout

    public java.lang.String getLayout()

  Specified by:
    `getLayout` in class `AbstractAutocomplete`

### setLayout

    public void setLayout(java.lang.String layout)

### getMinChars

    public int getMinChars()

  Specified by:
    `getMinChars` in class `AbstractAutocomplete`

### setMinChars

    public void setMinChars(int minChars)

### getMode

    public org.richfaces.component.AutocompleteMode getMode()

  Specified by:
    `getMode` in class `AbstractAutocomplete`

### setMode

    public void setMode(org.richfaces.component.AutocompleteMode mode)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in class `AbstractAutocomplete`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String onbeforedomupdate)

### getOnbegin

    public java.lang.String getOnbegin()

  Specified by:
    `getOnbegin` in class `AbstractAutocomplete`

### setOnbegin

    public void setOnbegin(java.lang.String onbegin)

### getOnblur

    public java.lang.String getOnblur()

  Specified by:
    `getOnblur` in class `AbstractAutocomplete`

### setOnblur

    public void setOnblur(java.lang.String onblur)

### getOnchange

    public java.lang.String getOnchange()

  Specified by:
    `getOnchange` in class `AbstractAutocomplete`

### setOnchange

    public void setOnchange(java.lang.String onchange)

### getOnclick

    public java.lang.String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractAutocomplete`

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOncomplete

    public java.lang.String getOncomplete()

  Specified by:
    `getOncomplete` in class `AbstractAutocomplete`

### setOncomplete

    public void setOncomplete(java.lang.String oncomplete)

### getOndblclick

    public java.lang.String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractAutocomplete`

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOnerror

    public java.lang.String getOnerror()

  Specified by:
    `getOnerror` in class `AbstractAutocomplete`

### setOnerror

    public void setOnerror(java.lang.String onerror)

### getOnfocus

    public java.lang.String getOnfocus()

  Specified by:
    `getOnfocus` in class `AbstractAutocomplete`

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### getOnkeydown

    public java.lang.String getOnkeydown()

  Specified by:
    `getOnkeydown` in class `AbstractAutocomplete`

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

  Specified by:
    `getOnkeypress` in class `AbstractAutocomplete`

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

  Specified by:
    `getOnkeyup` in class `AbstractAutocomplete`

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnlistclick

    public java.lang.String getOnlistclick()

  Specified by:
    `getOnlistclick` in class `AbstractAutocomplete`

### setOnlistclick

    public void setOnlistclick(java.lang.String onlistclick)

### getOnlistdblclick

    public java.lang.String getOnlistdblclick()

  Specified by:
    `getOnlistdblclick` in class `AbstractAutocomplete`

### setOnlistdblclick

    public void setOnlistdblclick(java.lang.String onlistdblclick)

### getOnlistkeydown

    public java.lang.String getOnlistkeydown()

  Specified by:
    `getOnlistkeydown` in class `AbstractAutocomplete`

### setOnlistkeydown

    public void setOnlistkeydown(java.lang.String onlistkeydown)

### getOnlistkeypress

    public java.lang.String getOnlistkeypress()

  Specified by:
    `getOnlistkeypress` in class `AbstractAutocomplete`

### setOnlistkeypress

    public void setOnlistkeypress(java.lang.String onlistkeypress)

### getOnlistkeyup

    public java.lang.String getOnlistkeyup()

  Specified by:
    `getOnlistkeyup` in class `AbstractAutocomplete`

### setOnlistkeyup

    public void setOnlistkeyup(java.lang.String onlistkeyup)

### getOnlistmousedown

    public java.lang.String getOnlistmousedown()

  Specified by:
    `getOnlistmousedown` in class `AbstractAutocomplete`

### setOnlistmousedown

    public void setOnlistmousedown(java.lang.String onlistmousedown)

### getOnlistmousemove

    public java.lang.String getOnlistmousemove()

  Specified by:
    `getOnlistmousemove` in class `AbstractAutocomplete`

### setOnlistmousemove

    public void setOnlistmousemove(java.lang.String onlistmousemove)

### getOnlistmouseout

    public java.lang.String getOnlistmouseout()

  Specified by:
    `getOnlistmouseout` in class `AbstractAutocomplete`

### setOnlistmouseout

    public void setOnlistmouseout(java.lang.String onlistmouseout)

### getOnlistmouseover

    public java.lang.String getOnlistmouseover()

  Specified by:
    `getOnlistmouseover` in class `AbstractAutocomplete`

### setOnlistmouseover

    public void setOnlistmouseover(java.lang.String onlistmouseover)

### getOnlistmouseup

    public java.lang.String getOnlistmouseup()

  Specified by:
    `getOnlistmouseup` in class `AbstractAutocomplete`

### setOnlistmouseup

    public void setOnlistmouseup(java.lang.String onlistmouseup)

### getOnmousedown

    public java.lang.String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractAutocomplete`

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractAutocomplete`

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractAutocomplete`

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractAutocomplete`

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractAutocomplete`

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnselectitem

    public java.lang.String getOnselectitem()

  Specified by:
    `getOnselectitem` in class `AbstractAutocomplete`

### setOnselectitem

    public void setOnselectitem(java.lang.String onselectitem)

### getPopupClass

    public java.lang.String getPopupClass()

  Specified by:
    `getPopupClass` in class `AbstractAutocomplete`

### setPopupClass

    public void setPopupClass(java.lang.String popupClass)

### isSelectFirst

    public boolean isSelectFirst()

  Specified by:
    `isSelectFirst` in class `AbstractAutocomplete`

### setSelectFirst

    public void setSelectFirst(boolean selectFirst)

### getSelectedItemClass

    public java.lang.String getSelectedItemClass()

  Specified by:
    `getSelectedItemClass` in class `AbstractAutocomplete`

### setSelectedItemClass

    public void setSelectedItemClass(java.lang.String selectedItemClass)

### isShowButton

    public boolean isShowButton()

  Specified by:
    `isShowButton` in class `AbstractAutocomplete`

### setShowButton

    public void setShowButton(boolean showButton)

### getTokens

    public java.lang.String getTokens()

  Specified by:
    `getTokens` in class `AbstractAutocomplete`

### setTokens

    public void setTokens(java.lang.String tokens)

### getVar

    public java.lang.String getVar()

  Specified by:
    `getVar` in class `AbstractAutocomplete`

### setVar

    public void setVar(java.lang.String var)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.